Bug 966904 - loginctl lock-sessions, gnome-screensaver, and escaped session-ids in dbus path
loginctl lock-sessions, gnome-screensaver, and escaped session-ids in dbus path
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
: 968521 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 04:56 EDT by Fabrice Bellet
Modified: 2013-12-29 15:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 15:40:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2013-05-24 04:56:03 EDT
Hi!

I noticed that loginctl lock-sessions has no effect with gnome-screensaver, because the session-id is escaped in session_bus_path() from systemd-201/src/login/logind-session-dbus.c, and the matching session-id is considered unescaped  in _listener_message_path_is_our_session() from gnome-screensaver-3.6.1/src/gs-listener-dbus.c.

In my case all session-id reported by loginctl list-sessions are numerical values, so the difference between the escaped and the unescaped string is just the initial digit, that is replaced by its hex ascii value (_3X for digit X), for example with session-id=1 :

[listener_dbus_handle_system_message] gs-listener-dbus.c:854 (10:42:21):	 obj_path=/org/freedesktop/login1/session/_31 interface=org.freedesktop.login1.Session method=Lock destination=(null)

I don't know where the fix makes sense the most, to not escape session-id in systemd, or to unescape it properly in gnome-screensaver.
Comment 1 Lennart Poettering 2013-06-21 06:54:59 EDT
*** Bug 968521 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2013-12-21 08:42:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-21 09:20:22 EST
Hm, wasn't this fixed at some point?
Comment 4 Fabrice Bellet 2013-12-29 15:40:11 EST
Yes. I cannot reproduce the bug in Fedora 20 (session locking is now handled by gnome-shell). I close this bug.

Note You need to log in before you can comment on or make changes to this bug.